List your jobs
curl --request GET \
--url https://interview.qode.world/api/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://interview.qode.world/api/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://interview.qode.world/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"results": [
{
"name": "Software Engineer",
"qodeJobId": "478e8e8b-87c9-4c2a-926f-ebce52442d39",
"userId": "cmookvkba00098tcgmxvs2mup",
"createdAt": "2026-03-12T08:21:00.000Z",
"updatedAt": "2026-05-01T12:00:00.000Z"
}
],
"total": 1
}
}{
"status": 401,
"errors": "Invalid API key"
}{
"status": 401,
"errors": "<string>"
}{
"status": 401,
"errors": "<string>"
}Interviews
List jobs
List the jobs the authenticated API key can interview for.
GET
/
jobs
List your jobs
Authorizations
Provide the API key issued to you by your organization admin. Send it as Authorization: Bearer <api-key> on every request.
Query Parameters
Page index (1-based).
Required range:
x >= 1Number of items per page (max 100).
Required range:
1 <= x <= 100⌘I